final: prev:
{
  scan2paperless = {
    scan2paperless = final.deno2nix.mkExecutable {
      pname = "scan2paperless";
      version = "0.1.0";

      src = ./.;
      bin = "scan2paperless";

      entrypoint = "./src/main.ts";
      lockfile = "./deno.lock";
      config = "./deno.json";

      buildInputs = with prev; [
        sane-backends
        python39Packages.img2pdf
      ];

      additionalDenoFlags = "--allow-write --allow-env --allow-run";

      # TODO: Find out why allow does not work here
      allow = {
        write = true;
        env = true;
        run = true;
      };
    };
  };
}
